REST APIV1Superagent
Chat
Send a message to Poggio and receive a response. This endpoint allows external API clients to interact with Poggio's superagent. The org_id is inferred from the OAuth bearer token. Requires an OAuth bearer token with valid org_id and orig_user_id claims. The token must have the poggio:api:write scope for POST requests.
Authorization
BearerToken AuthorizationBearer <token>
Pass an OAuth access token or an API token from Settings > MCP Server.
In: header
Request Body
application/json
message*string
The message to send to Poggio
Length
1 <= length <= 100000streaming?boolean
Whether to stream the response (default: False)
Default
falseResponse Body
application/json
application/json
curl -X POST "https://api.poggio.io/super/chat" \ -H "Content-Type: application/json" \ -d '{ "message": "string" }'{
"session_id": "string",
"response": "string",
"tool_calls": [
{
"name": "string",
"args": {},
"id": "string",
"result": {}
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}